--[[
GET FILENAMES FROM TEXTURE PACK EXAMPLE
]]
	
	--split function by Jayant C. Varma (OZapps)
	function string:split(sep)
		  local sep, fields = sep or ":", {}
		  local pattern = string.format("([^%s]+)", sep) 
		  self:gsub(pattern, function(c) fields[#fields + 1] = c end)
		  return fields
	 end
	
	--function by ar2sawseen
	function getPackTextures(packname)
		local textures = {}
		local file = io.open(packname..".txt")
		if file then
			local parsed
			for line in file:lines() do
				parsed = line:split(", ")
				textures[#textures+1] = parsed[1]
			end
			-- now variable textures contains all texture names from pack
		else
			print("no pack found")
		end
		return textures
	end
	
	
--Captions for images	
local captions = {
"black bird A",
"black bird B",
"black bird C",
"white bird A",
"white bird B",
"white bird C",
}

local textureList = getPackTextures("gfx/tpak")

for i,v in ipairs(textureList) do
	print("INDEX:", i, "TEXTURE NAME:", v, "CAPTION:", captions[i])
end